const { gql } = require('apollo-server-express');

module.exports = gql`

    type Institution {
        id: ID!
        name: String!
        description: String
        phoneNumber: String!
        email: String
        website: String
        logo: String
        image: String
        status: Int!
        createdAt: DateTime
        updatedAt: DateTime
        deletedAt: DateTime
    }

    extend type Query {
        findAllAgent: [Agent!]: Agent
        findAgentById(agentId: String!): Agent
        findAgentByUserId(userId: String!): Agent
    }

    extend type Mutation {
        createAgent(input: inputAgent!): Agent!
    }

    type inputAgent {
        userId: String!
        fonctionId: String!
        institutionId: String
        departementId: String
        matricule: String
        civilite: String!
        nom: String!
        prenom: String!
        sexe: String!
        phoneNumber: String!
        email: String
        securiteSocial: String
        adress1: String!
        adress2: String
        city: String!
        state: String!
        zip: String
        country: String!
    }

`;